Obtener detalle de una tarea
curl --request GET \
--url https://api.keebai.com/v1/crm/tasks/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.keebai.com/v1/crm/tasks/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.keebai.com/v1/crm/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"_id": "<string>",
"title": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"assigned_to": "<string>",
"due_at": "2023-11-07T05:31:56Z"
}
}Tasks
GET /v1/crm/tasks/:id
Fetch a single task by id.
GET
/
v1
/
crm
/
tasks
/
{id}
Obtener detalle de una tarea
Returns one task.
Endpoint
GET https://api.keebai.com/v1/crm/tasks/{id}
Required scope
crm:tasks:read
Headers
| Header | Required | Value |
|---|---|---|
Authorization | Yes | Bearer kbai_pk_<token> |
Path parameters
| Field | Type | Required | Description |
|---|---|---|---|
id | string | Yes | ObjectId of the task. |
Example request
curl https://api.keebai.com/v1/crm/tasks/65a1f2b3c4d5e6f7a8b9c0d1 \
-H "Authorization: Bearer kbai_pk_xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
const response = await fetch(`https://api.keebai.com/v1/crm/tasks/${taskId}`, {
headers: { Authorization: `Bearer ${process.env.KEEBAI_API_TOKEN}` },
});
const { task } = await response.json();
import os, requests
resp = requests.get(
f"https://api.keebai.com/v1/crm/tasks/{task_id}",
headers={"Authorization": f"Bearer {os.environ['KEEBAI_API_TOKEN']}"},
timeout=10,
)
resp.raise_for_status()
task = resp.json()["task"]
Response
200 OK
{
"task": {
"_id": "65a1f2b3c4d5e6f7a8b9c0d1",
"title": "Llamar a Juan Pérez",
"description": "Confirmar propuesta del plan anual",
"status": "pending",
"priority": "high",
"assigned_to": "68e1f2a3b4c5d6e7f8a9b0c1",
"due_at": "2026-05-05T13:00:00.000Z",
"created_at": "2026-05-02T14:31:07.221Z",
"updated_at": "2026-05-02T14:31:07.221Z"
}
}
401 Unauthorized
Missing, invalid, revoked, or expired token.403 Forbidden
The token does not have thecrm:tasks:read scope.
404 Not Found
No task with that id, or the task belongs to a different company.Was this page helpful?
⌘I